Bug 826923 - xdata ignored in protocol/client for some FOPS
xdata ignored in protocol/client for some FOPS
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
Depends On:
  Show dependency treegraph
Reported: 2012-05-31 05:12 EDT by Xavi Hernandez
Modified: 2013-07-24 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:45:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xavi Hernandez 2012-05-31 05:12:31 EDT
Description of problem:

The protocol/client translator does not include, for some FOPS, the xdata argument in the data sent to the remote server.

The involved FOPS are: fsync, lk, opendir, fsetattr and writev

Version-Release number of selected component (if applicable): 3.3.0

How reproducible: Any non-empty xdata sent using one of these FOPS from the client is received as a NULL xdata in the server side.

Actual results: xdata is NULL on the server side

Expected results: xdata should contain the same values on the server side it had on the client side
Comment 1 Amar Tumballi 2012-05-31 06:08:03 EDT
Xavier, thanks for finding it out. On master, 'writev' issue is already fixed. If you are planing to use xdata, i recommend master branch on git. We will fix the other fops soon.
Comment 2 Raghavendra Bhat 2012-06-11 07:31:14 EDT
Commit http://review.gluster.com/3502 fixes the issue.

Note You need to log in before you can comment on or make changes to this bug.